Subject: bug#7333: [PATCH] {maint} Fix a bug in variable concatanation with `+='.

From: Ralf Wildenhues <[email-masked]>
Date: Sun, 7 Nov 2010 14:26:09 +0100

Hello Stefano, Andy,

* Stefano Lattarini wrote on Sat, Nov 06, 2010 at 06:10:44PM CET:
> On Friday 05 November 2010, Stefano Lattarini wrote: 
> > I can confirm the bug with latest automake (from git master), with
> > a much-reduced minimal testcase (see attachment).
> > 
> > I still haven't looked for an explanation or a fix, though.
> I've manged to find a very simple fix for the bug (see attached patch).
> 
> OK to apply to maint?

OK if it passes the whole testsuite.

Thanks to both of you, for the report and the fast fix!

Cheers,
Ralf

> From b8de299295e081909c6d0a8a1cef957b337e3732 Mon Sep 17 00:00:00 2001
> From: Stefano Lattarini <[email-masked]>
> Date: Sat, 6 Nov 2010 12:46:52 +0100
> Subject: [PATCH] Fix a bug in variable concatanation with `+='.
> 
> * lib/Automake/VarDef.pm (append): Remove extra backslash-escaped
> newlines from the end of the variable's content, before appending
> to it.
> * tests/pluseq11.test: New test, exposing the bug.
> * tests/Makefile.am (TESTS): Update.
> 
> Reported by Andy Wingo.